package company

import (
	"sorbet/internal/services/company/controller"
	"sorbet/pkg/app"
)

type Service struct{}

func (s *Service) Init(ctx *app.Context) error {
	ctx.Routes(&controller.CompanyController{})
	ctx.Routes(&controller.CompanyDepartmentController{})
	ctx.Routes(&controller.CompanyStaffController{})
	return nil
}

func (s *Service) Start() error {
	return nil
}

func (s *Service) Stop() error {
	return nil
}
