package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/config/request"
	"sorbet/internal/util"
)

type ConfigController struct {
	util.Controller[entities.Config, request.ConfigUpsertRequest]
}

func (ctr *ConfigController) InitRoutes(r *echo.Group) {
	ctr.RegisterRoutes("/config", r)
}
