package config

import (
	"sorbet/internal/services/config/controller"
	"sorbet/pkg/app"
)

type Service struct {
}

func (s *Service) Init(ctx *app.Context) error {
	ctx.Routes(&controller.ConfigGroupController{})
	ctx.Routes(&controller.ConfigController{})
	return nil
}

func (s *Service) Start() error {
	return nil
}

func (s *Service) Stop() error {
	return nil
}
