package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/feature/request"
	"sorbet/internal/util"
)

type FeatureConfigController struct {
	util.Controller[entities.FeatureConfig, request.FeatureConfigUpsertRequest]
}

func (f *FeatureConfigController) InitRoutes(r *echo.Group) {
	f.RegisterRoutes("/feature/configs", r)
}
