package feature

import (
	"sorbet/internal/services/feature/controller"
	"sorbet/pkg/app"
)

type Service struct{}

func (s *Service) Init(ctx *app.Context) error {
	ctx.Routes(&controller.FeatureCategoryController{})
	ctx.Routes(&controller.FeatureConfigController{})
	ctx.Routes(&controller.FeatureContentChapterController{})
	ctx.Routes(&controller.FeatureContentDetailController{})
	ctx.Routes(&controller.FeatureController{})
	return nil
}

func (s *Service) Start() error {
	return nil
}

func (s *Service) Stop() error {
	return nil
}
