package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/system/request"
	"sorbet/internal/util"
)

type SystemLogController struct {
	util.Controller[entities.SystemLog, request.SystemLogUpsertRequest]
}

func (s *SystemLogController) InitRoutes(r *echo.Group) {
	s.RegisterRoutes("/system/logs", r)
}
