package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/system/request"
	"sorbet/internal/util"
)

type SystemMenuController struct {
	util.Controller[entities.SystemMenu, request.SystemMenuUpsertRequest]
}

func (s *SystemMenuController) InitRoutes(r *echo.Group) {
	s.RegisterRoutes("/system/menus", r)
}
