package resource

import (
	"sorbet/internal/services/resource/controller"
	"sorbet/pkg/app"
)

type Service struct{}

func (s *Service) Init(ctx *app.Context) error {
	ctx.Routes(&controller.ResourceController{})
	ctx.Routes(&controller.ResourceCategoryController{})
	return nil
}

func (s *Service) Start() error {
	return nil
}

func (s *Service) Stop() error {
	return nil
}
